//*****************************************************************************
//
// ExtPort.h - Knihovna pro ovladani rozsir.portu
//
//*****************************************************************************


#ifndef __EXT_PORT_H__
#define __EXT_PORT_H__

//Definice konstant
#define DATA_ADDR_NONE 0x00

//Deklarace funkci-----------------------
void WritePort(unsigned char PortID, unsigned char *pData);   //Zapis na rozsirujici 16b port / vice obvodu, nutno predat i ID
void ReadPort(unsigned char PortID, unsigned char *pData);    //Cteni hodnot z rozsirujiciho 16b portu

void WriteDigOut(unsigned char ucDigOut);                     //Nastaveni digitalnich vystupu
unsigned char ReadDigIn(void);                                //Cteni hodnot digitalnich vstupu
void SetLEDState(unsigned char RedLED, unsigned char GreenLED); //Ovladani jednotlivych diod zobrazujicich stav prev.karty
unsigned short ReadAddr(void);                                //Cteni adresy nastavene na DIP prepinacich a pomoci propojek



#endif // __EXT_PORT_H__